---
title: Reports API
description: The Reports API provides a comprehensive set of endpoints to manage the entire lifecycle of your reports. You can programmatically create, read, update, and delete report templates.
component: pingoneaic
page_id: pingoneaic:reports:rest-api/reports-api
canonical_url: https://docs.pingidentity.com/pingoneaic/reports/rest-api/reports-api.html
section_ids:
  download_postman_and_import_the_reports_collection: Download Postman and import the reports collection
  token-request: Token request
  general_endpoints: General endpoints
  create-a-report: Create a report
  publish-report: Publish a report
  get-all-templates: Get all templates
  delete-a-report: Delete a report
  duplicate-a-report: Duplicate a report
  edit-a-report: Edit a report
  update-a-report: Update a report
  run-report: Run report
  view-report: View report
  download-report: Download report
  import-report: Import a new report
  export-the-report: Export the report
  role_and_organization_reports_endpoints: Role and organization reports endpoints
  run-template-org-users: Run template - organization membership report
  view-report-result-org-users: View report result - organization membership report
  run-template-role-composition: Run template - role composition report
  view-result-role-composition: View result - role composition report
  run-template-role-membership: Run template - role membership report
  view-results-role-membership: View results - role membership report
  journey_reports_endpoints: Journey reports endpoints
  run-template-journey-stats: Run template - journey stats report
  view-report-result-journey-stats: View report result - journey stats report
  run-template-user-journey-stats: Run template - user journey stats report
  view-report-result-user-journey-stats: View report result - user journey stats report
  end_user_insights_reports_endpoints: End user insights reports endpoints
  run-template-user-last-login: Run template - user last login report
  view-result-user-last-login: View result - user last login report
  run-template-user-access-details: Run template - user access details report
  view-results-user-access-details: View results - user access details report
  run-template-user-count-by-status: Run template - user count by status report
  view-results-user-count-by-status: View results - user count by status report
  run-template-user-normal-view: Run template - user normal view report
  view-report-result-user-normal-view: View report - user normal view report
  governance1_reports_endpoints: Governance[1] reports endpoints
  run-template-certification-details: Run template - certification details report
  view-result-certification-details: View result - certification details report
  run-template-campaign-decision: Run template - campaign decision report
  view-result-campaign-decision: View result - campaign decision report
---

# Reports API

The Reports API provides a comprehensive set of endpoints to manage the entire lifecycle of your reports. You can programmatically create, read, update, and delete report templates.

The API also enables you to import and export templates, which simplifies moving report configurations between different environments.

Once a template is ready, you can run the report, check the status of the execution job, and then view or download the results.

## Download Postman and import the reports collection

The Reports Postman collection provides a set of pre-configured requests that you can use to interact with the Reports API.

1. Download and install the [Postman application](https://www.postman.com/downloads/).

2. Download the [Reports Q3 Postman collection](../_attachments/reports-Q3.postman_collection_20250917.json).

3. Download the [Reports Q3 Postman environment](../_attachments/reports-Q3.postman_environment_20250917.json).

4. In Postman:

   1. Go to File > Import... > Upload Files.

   2. Browse to the collection JSON file you downloaded in the previous step, and then click Open.

   3. Click Import to bring the collection and environment into your workspace. Make sure to change your environment variables to match your tenant.

## Token request

You need a service account to allow the requests in the collection to connect to your Advanced Identity Cloud tenant. You also need an access token to use each reports endpoint.

You can obtain a service account and an access token by following the instructions in [Get an access token](../../developer-docs/authenticate-to-rest-api-with-access-token.html).

## General endpoints

### Create a report

A POST request to `/reports/templates?_action=create` to generate a report.

Curl example

```
curl --location --request POST 'https://<tenant-env-fqdn>/reports/templates?_action=create' \
--header 'Accept-API-Version: resource=1.0' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <access-token>' \
--data '
{
    "reportTemplate": {
        "displayName": "rain report",
        "description": "rain report",
        "version": 2,
        "reportConfig": "{\"version\":\"v2\",\"entities\":[{\"entity\":\"users\"}],\"fields\":[{\"label\":\"City\",\"value\":\"users.city\"},{\"label\":\"Country\",\"value\":\"users.country\"}]}",
        "ootb": true,
        "editable": true,
        "duplicatable": true,
        "visible": true,
        "viewers": []
    }
}'
```

**Query parameters**

| Name      | Required | Example  | Schema |
| --------- | -------- | -------- | ------ |
| `_action` | true     | `create` | string |

**Header parameters**

| Name                 | Required | Example                 | Schema |
| -------------------- | -------- | ----------------------- | ------ |
| `Accept-API-Version` | false    | `resource=1.0`          | string |
| `Authorization`      | false    | `Bearer <access-token>` | string |
| `Content-Type`       | false    | `application/json`      | string |

**Body parameters**

| Name                          | Required | Example                                                                                                                                      | Schema |
| ----------------------------- | -------- | -------------------------------------------------------------------------------------------------------------------------------------------- | ------ |
| `reportTemplate`              | true     |                                                                                                                                              | object |
| `reportTemplate.description`  | false    | `""`                                                                                                                                         | string |
| `reportTemplate.viewers`      | false    | `[]`                                                                                                                                         | array  |
| `reportTemplate.displayName`  | true     | `report-name`                                                                                                                                | string |
| `reportTemplate.reportConfig` | true     | `{\"version\":\"v2\",\"entities\":[{\"entity\":\"accounts\"}],\"fields\":[{\"label\":\"Account Data\",\"value\":\"accounts.accountData\"}]}` | string |
| `reportTemplate.name`         | true     | `5CAAC80A-0A64-4C1C-BC75-1529A12E43B5`                                                                                                       | string |

### Publish a report

A POST request to `/reports/templates/REPORT-UUID?_action=publish` to publish a report.

Curl example

```
curl --location --request POST 'https://<tenant-env-fqdn>/reports/templates/REPORT-UUID?_action=publish' \
--header 'Authorization: Bearer <access-token>'
```

**Path parameters**

| Name          | In   | Required | Example       | Schema |
| ------------- | ---- | -------- | ------------- | ------ |
| `REPORT-UUID` | path | true     | `REPORT-UUID` | string |

**Query parameters**

| Name      | In    | Required | Example   | Schema |
| --------- | ----- | -------- | --------- | ------ |
| `_action` | query | false    | `publish` | string |

### Get all templates

A GET request to `/reports/templates?templateType=draft` to get all report templates.

Curl example

```
curl --location --request GET 'https://<tenant-env-fqdn>/reports/templates?templateType=draft' \
--header 'Authorization: Bearer <access-token>' \
--header "Accept-API-Version: resource=1.0"
```

**Query parameters**

| Name           | In    | Required | Example | Schema |
| -------------- | ----- | -------- | ------- | ------ |
| `templateType` | query | false    | `draft` | string |

**Header parameters**

| Name                 | In     | Required | Example                 | Schema |
| -------------------- | ------ | -------- | ----------------------- | ------ |
| `Accept-API-Version` | header | false    | `resource=1.0`          | string |
| `Authorization`      | header | false    | `Bearer <access-token>` | string |

### Delete a report

A POST request to `/reports/templates/REPORT-UUID?_action=delete&templateType=draft` to delete a report template.

Curl example

```
curl --location --request GET 'https://<tenant-env-fqdn>/reports/templates/REPORT-UUID?_action=delete&templateType=draft' \
--header 'Accept-API-Version: resource=1.0' \
--header 'Authorization: Bearer <access-token>'
```

**Query parameters**

| Name           | In    | Required | Example  | Schema |
| -------------- | ----- | -------- | -------- | ------ |
| `_action`      | query | false    | `delete` | string |
| `templateType` | query | false    | `draft`  | string |

**Header parameters**

| Name                 | In     | Required | Example                 | Schema |
| -------------------- | ------ | -------- | ----------------------- | ------ |
| `Accept-API-Version` | header | false    | `resource=1.0`          | string |
| `Authorization`      | header | false    | `Bearer <access-token>` | string |

### Duplicate a report

A POST request to `/reports/templates/REPORT-UUID?_action=duplicate` to duplicate a report.

Curl example

```
curl --location --request POST 'https://<tenant-env-fqdn>/reports/templates/REPORT-UUID?_action=duplicate&templateType=draft' \
--header 'Accept-API-Version: resource=1.0' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <access-token>' \
--data-raw '{
    "reportTemplate": {
        "description": "",
        "name": "",
        "viewers": [],
        "displayName": "reportTest12356"
    }
}'
```

**Path parameters**

| Name          | Required | Example       | Schema |
| ------------- | -------- | ------------- | ------ |
| `REPORT-UUID` | true     | `REPORT-UUID` | string |

**Query parameters**

| Name           | Required | Example     | Schema |
| -------------- | -------- | ----------- | ------ |
| `_action`      | true     | `duplicate` | string |
| `templateType` | true     | `draft`     | string |

**Header parameters**

| Name                 | Required | Example                 | Schema |
| -------------------- | -------- | ----------------------- | ------ |
| `Accept-API-Version` | false    | `resource=1.0`          | string |
| `Content-Type`       | false    | `application/json`      | string |
| `Authorization`      | false    | `Bearer <access-token>` | string |

**Body parameters**

| Name                         | Required | Example           | Schema |
| ---------------------------- | -------- | ----------------- | ------ |
| `reportTemplate`             | true     |                   | object |
| `reportTemplate.displayName` | true     | `reportTest12356` | string |
| `reportTemplate.description` | false    | `""`              | string |
| `reportTemplate.name`        | false    | `""`              | string |
| `reportTemplate.viewers`     | false    | `[]`              | array  |

### Edit a report

A POST request to `/reports/templates/REPORT-UUID?_action=edit` to edit a report.

Curl example

```
curl --location --request POST 'https://<tenant-env-fqdn>/reports/templates/REPORT-UUID?_action=edit' \
--header 'Authorization: Bearer <access-token>'
```

**Path parameters**

| Name          | Required | Example       | Schema |
| ------------- | -------- | ------------- | ------ |
| `REPORT-UUID` | true     | `REPORT-UUID` | string |

**Query parameters**

| Name      | Required | Example | Schema |
| --------- | -------- | ------- | ------ |
| `_action` | true     | `edit`  | string |

**Header parameters**

| Name            | Required | Example                 | Schema |
| --------------- | -------- | ----------------------- | ------ |
| `Authorization` | false    | `Bearer <access-token>` | string |

### Update a report

A POST request to `/reports/templates` to update a report.

Curl example

```
curl --location --request POST 'https://<tenant-env-fqdn>/reports/templates?_action=update&templateType=draft' \
--header 'Accept-API-Version: resource=1.0' \
--header 'Authorization: Bearer <access-token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "reportTemplate": {
        "description": "",
        "viewers": [],
        "displayName": "11thaugv2   ",
        "reportConfig": "{\\\"version\\\":\\\"v2\\\",\\\"entities\\\":[{\\\"entity\\\":\\\"accounts\\\"}],\\\"fields\\\":[{\\\"label\\\":\\\"Account Data\\\",\\\"value\\\":\\\"accounts.accountData\\\"}]}",
        "name": "5CAAC80A-0A64-4C1C-BC75-1529A12E43B5"
    }
}'
```

**Query parameters**

| Name           | Required | Example  | Schema |
| -------------- | -------- | -------- | ------ |
| `_action`      | true     | `update` | string |
| `templateType` | true     | `draft`  | string |

**Header parameters**

| Name                 | Required | Example                 | Schema |
| -------------------- | -------- | ----------------------- | ------ |
| `Accept-API-Version` | false    | `resource=1.0`          | string |
| `Authorization`      | false    | `Bearer <access-token>` | string |
| `Content-Type`       | false    | `application/json`      | string |

**Body parameters**

| Name                          | Required | Example                                                                                                                                      | Schema |
| ----------------------------- | -------- | -------------------------------------------------------------------------------------------------------------------------------------------- | ------ |
| `reportTemplate`              | true     |                                                                                                                                              | object |
| `reportTemplate.description`  | false    | `""`                                                                                                                                         | string |
| `reportTemplate.viewers`      | false    | `[]`                                                                                                                                         | array  |
| `reportTemplate.displayName`  | true     | \`11thaugv2 \`                                                                                                                               | string |
| `reportTemplate.reportConfig` | true     | `{\"version\":\"v2\",\"entities\":[{\"entity\":\"accounts\"}],\"fields\":[{\"label\":\"Account Data\",\"value\":\"accounts.accountData\"}]}` | string |
| `reportTemplate.name`         | true     | `5CAAC80A-0A64-4C1C-BC75-1529A12E43B5`                                                                                                       | string |

### Run report

A POST request to `/reports/templates/REPORT-UUID?_action=run&templateType=published` to run a report.

Curl example

```
curl --location --request POST 'https://<tenant-env-fqdn>/reports/templates/REPORT-UUID?_action=run&templateType=published' \
--header 'Accept-API-Version: resource=1.0' \
--header 'Authorization: Bearer <access-token>' \
--data '
{
    "parameters": "{}",
    "context": [
        {
            "type": "global",
            "data": [
                {
                    "key": "realm",
                    "value": "alpha"
                }
            ]
        }
    ]
}'
```

**Path parameters**

| Name          | Required | Example       | Schema |
| ------------- | -------- | ------------- | ------ |
| `REPORT-UUID` | true     | `REPORT-UUID` | string |

**Query parameters**

| Name           | Required | Example     | Schema |
| -------------- | -------- | ----------- | ------ |
| `_action`      | true     | `run`       | string |
| `templateType` | true     | `published` | string |

**Header parameters**

| Name                 | Required | Example                 | Schema |
| -------------------- | -------- | ----------------------- | ------ |
| `Accept-API-Version` | false    | `resource=1.0`          | string |
| `Authorization`      | false    | `Bearer <access-token>` | string |

### View report

A POST request to `/reports/templates/JOB-ID?_action&_pageSize=10&_pagedResultsOffset=0&name=REPORT-UUID&templateType=published` to view a report.

Curl example

```
curl --location --request POST 'https://<tenant-env-fqdn>/reports/templates/JOB-ID?_action&_pageSize=10&_pagedResultsOffset=0&name=REPORT-UUID&templateType=published' \
--header "Accept-API-Version: resource=1.0" \
--header "Authorization: Bearer <access-token>"
```

**Path parameters**

| Name          | Required | Example       | Schema |
| ------------- | -------- | ------------- | ------ |
| `REPORT-UUID` | true     | `REPORT-UUID` | string |

**Query parameters**

| Name                  | Required | Example       | Schema |
| --------------------- | -------- | ------------- | ------ |
| `_action`             | true     | `view`        | string |
| `_pageSize`           | false    | `10`          | string |
| `_pagedResultsOffset` | false    | `0`           | string |
| `name`                | true     | `REPORT-UUID` | string |
| `templateType`        | true     | `published`   | string |

**Header parameters**

| Name                 | Required | Example        | Schema |
| -------------------- | -------- | -------------- | ------ |
| `Accept-API-Version` | false    | `resource=1.0` | string |

### Download report

A POST request to `/reports/runs/JOB-ID?_action=download&name=REPORT-UUID&format=csv` to download a report.

Curl example

```
curl --location --request POST 'https://<tenant-env-fqdn>/reports/runs/JOB-ID?_action=download&name=REPORT-UUID&format=csv' \
--header 'Accept-API-Version: resource=1.0' \
--header 'Authorization: Bearer <access-token>'
```

**Path parameters**

| Name          | Required | Example       | Schema |
| ------------- | -------- | ------------- | ------ |
| `REPORT-UUID` | true     | `REPORT-UUID` | string |

**Query parameters**

| Name      | Required | Example       | Schema |
| --------- | -------- | ------------- | ------ |
| `_action` | true     | `download`    | string |
| `name`    | true     | `REPORT-UUID` | string |
| `format`  | true     | `csv`         | string |

**Header parameters**

| Name                 | Required | Example        | Schema |
| -------------------- | -------- | -------------- | ------ |
| `Accept-API-Version` | false    | `resource=1.0` | string |

### Import a new report

A POST request to `/reports/templates/import` to import a new report.

|   |                                                                                                                                                       |
| - | ----------------------------------------------------------------------------------------------------------------------------------------------------- |
|   | Importing and exporting report templates is only applicable to custom report templates. Administrators can export both draft and published templates. |

Curl example

```
curl \
--location \
https://<tenant-env-fqdn>/reports/templates/import' \
--header 'Content-Type: application/json, text/plain, */\*' \
--header 'Accept-API-version: resource=1.0' \
--header 'Accept-Language: en-US,en;q=0.9' \
--header 'Authorization: Bearer <access-token>' \
--form 'file=@"/path/to/report/New_draft"'
```

**Header parameters**

| Name                 | In     | Required | Example                 | Schema |
| -------------------- | ------ | -------- | ----------------------- | ------ |
| `Accept-API-Version` | header | true     | `resource=1.0`          | string |
| `accept-language`    | header | true     | `en-US,en;q=0.9`        | string |
| `Authorization`      | header | true     | `Bearer <access-token>` | string |
| `Content-Type`       | header | true     | `application/json`      | string |

### Export the report

A POST request to `/reports/templates/REPORT-UUID?templateType=draft&_action=export` to export a report.

|   |                                                                                                                                                       |
| - | ----------------------------------------------------------------------------------------------------------------------------------------------------- |
|   | Importing and exporting report templates is only applicable to custom report templates. Administrators can export both draft and published templates. |

Curl example

```
curl \
--request POST \
'https://<tenant-env-fqdn>/reports/templates/A1C07D0B-49C9-48C6-B225-CE05F27A5DEE?templateType=draft&_action=export' \
--header 'Content-Type: application/json, text/plain, */\*' \
--header 'Accept-API-Version: resource=1.0' \
--header 'Accept-Language: en-US,en;q=0.9' \
--header 'Authorization: Bearer <access-token>' \
--data ''
```

**Path parameters**

| Name          | Required | Example       | Schema |
| ------------- | -------- | ------------- | ------ |
| `REPORT-UUID` | true     | `REPORT-UUID` | string |

**Query parameters**

| Name           | Required | Example  | Schema |
| -------------- | -------- | -------- | ------ |
| `templateType` | false    | `draft`  | string |
| `_action`      | false    | `export` | string |

**Header parameters**

| Name                 | Required | Example                 | Schema |
| -------------------- | -------- | ----------------------- | ------ |
| `Accept-API-Version` | true     | `resource=1.0`          | string |
| `Authorization`      | true     | `Bearer <access-token>` | string |
| `Content-Type`       | true     | `application/json`      | string |

## Role and organization reports endpoints

### Run template - organization membership report

A POST request to `/reports/templates/ORG-USERS-REPORT-NAME` to run an organization membership report.

Curl example

```
curl --location --request POST 'https://<tenant-env-fqdn>/reports/templates/ORG-USERS-REPORT-NAME?_action=run' \
--header "Content-Type: application/json" \
--header "Accept-API-Version: resource=1.0" \
--header 'Authorization: Bearer <access-token>'
```

**Path parameters**

| Name                    | Required | Example                 | Schema |
| ----------------------- | -------- | ----------------------- | ------ |
| `ORG-USERS-REPORT-NAME` | true     | `ORG-USERS-REPORT-NAME` | string |

**Query parameters**

| Name      | Required | Example | Schema |
| --------- | -------- | ------- | ------ |
| `_action` | false    | `run`   | string |

**Header parameters**

| Name                 | Required | Example                 | Schema |
| -------------------- | -------- | ----------------------- | ------ |
| `Content-Type`       | false    | `application/json`      | string |
| `Accept-API-Version` | false    | `resource=1.0`          | string |
| `Authorization`      | false    | `Bearer <access-token>` | string |

### View report result - organization membership report

A POST request to `/reports/runs/ORG-USERS-REPORT-JOB-ID` to view the organization users report.

Curl example

```
curl --location --request POST 'https://<tenant-env-fqdn>/reports/runs/ORG-USERS-REPORT-JOB-ID?_action=view&name=ORG-USERS-REPORT-NAME&_pageSize=10' \
--header 'Content-Type: application/json' \
--header 'Accept-API-Version: resource=1.0' \
--header 'Authorization: Bearer <access-token>'
```

**Path parameters**

| Name                      | Required | Example                   | Schema |
| ------------------------- | -------- | ------------------------- | ------ |
| `ORG-USERS-REPORT-JOB-ID` | true     | `ORG-USERS-REPORT-JOB-ID` | string |

**Query parameters**

| Name        | Required | Example                 | Schema  |
| ----------- | -------- | ----------------------- | ------- |
| `_action`   | false    | `view`                  | string  |
| `name`      | false    | `ORG-USERS-REPORT-NAME` | string  |
| `_pageSize` | false    | `10`                    | integer |

**Header parameters**

| Name                 | Required | Example                 | Schema |
| -------------------- | -------- | ----------------------- | ------ |
| `Content-Type`       | false    | `application/json`      | string |
| `Accept-API-Version` | false    | `resource=1.0`          | string |
| `Authorization`      | false    | `Bearer <access-token>` | string |

### Run template - role composition report

A POST request to `/reports/templates/ROLE-COMPOSITION-NAME` to run a role composition report.

Curl example

```
curl --location --request POST 'https://<tenant-env-fqdn>/reports/templates/ROLE-COMPOSITION-NAME?_action=run' \
--header 'Content-Type: application/json' \
--header 'Accept-API-Version: resource=1.0' \
--header 'Authorization: Bearer <access-token>'
```

**Path parameters**

| Name                    | Required | Example                 | Schema |
| ----------------------- | -------- | ----------------------- | ------ |
| `ROLE-COMPOSITION-NAME` | true     | `ROLE-COMPOSITION-NAME` | string |

**Query parameters**

| Name      | Required | Example | Schema |
| --------- | -------- | ------- | ------ |
| `_action` | false    | `run`   | string |

**Header parameters**

| Name                 | Required | Example                 | Schema |
| -------------------- | -------- | ----------------------- | ------ |
| `Content-Type`       | false    | `application/json`      | string |
| `Accept-API-Version` | false    | `resource=1.0`          | string |
| `Authorization`      | false    | `Bearer <access-token>` | string |

### View result - role composition report

A POST request to `/reports/runs/ROLE-COMPOSITION-JOB-ID` to view a role composition report.

Curl example

```
curl --location --request POST 'https://<tenant-env-fqdn>/reports/runs/ROLE-COMPOSITION-JOB-ID?_action=view&name=ROLE-COMPOSITION-NAME&_pageSize=10' \
--header 'Content-Type: application/json' \
--header 'Accept-API-Version: resource=1.0' \
--header 'Authorization: Bearer <access-token>'
```

**Path parameters**

| Name                      | Required | Example                   | Schema |
| ------------------------- | -------- | ------------------------- | ------ |
| `ROLE-COMPOSITION-JOB-ID` | true     | `ROLE-COMPOSITION-JOB-ID` | string |

**Query parameters**

| Name        | Required | Example                 | Schema  |
| ----------- | -------- | ----------------------- | ------- |
| `_action`   | false    | `view`                  | string  |
| `name`      | false    | `ROLE-COMPOSITION-NAME` | string  |
| `_pageSize` | false    | `10`                    | integer |

**Header parameters**

| Name                 | Required | Example                 | Schema |
| -------------------- | -------- | ----------------------- | ------ |
| `Content-Type`       | false    | `application/json`      | string |
| `Accept-API-Version` | false    | `resource=1.0`          | string |
| `Authorization`      | false    | `Bearer <access-token>` | string |

### Run template - role membership report

A POST request to `/reports/templates/ROLE-MEMBERSHIP-NAME` to run a role membership report.

Curl example

```
curl --location --request POST 'https://<tenant-env-fqdn>/reports/templates/ROLE-MEMBERSHIP-NAME?_action=run' \
--header 'Content-Type: application/json' \
--header 'Accept-API-Version: resource=1.0' \
--header 'Authorization: Bearer <access-token>'
```

**Path parameters**

| Name                   | Required | Example                | Schema |
| ---------------------- | -------- | ---------------------- | ------ |
| `ROLE-MEMBERSHIP-NAME` | true     | `ROLE-MEMBERSHIP-NAME` | string |

**Query parameters**

| Name      | Required | Example | Schema |
| --------- | -------- | ------- | ------ |
| `_action` | false    | `run`   | string |

**Header parameters**

| Name                 | Required | Example                 | Schema |
| -------------------- | -------- | ----------------------- | ------ |
| `Content-Type`       | false    | `application/json`      | string |
| `Accept-API-Version` | false    | `resource=1.0`          | string |
| `Authorization`      | false    | `Bearer <access-token>` | string |

### View results - role membership report

A POST request to `/reports/runs/ROLE-MEMBERSHIP-JOB-ID` to view role membership report.

Curl example

```
curl --location --request POST 'https://<tenant-env-fqdn>/reports/runs/ROLE-MEMBERSHIP-JOB-ID?_action=view&name=ROLE-MEMBERSHIP-NAME&_pageSize=10' \
--header 'Content-Type: application/json' \
--header 'Accept-API-Version: resource=1.0' \
--header 'Authorization: Bearer <access-token>'
```

**Path parameters**

| Name                     | Required | Example                  | Schema |
| ------------------------ | -------- | ------------------------ | ------ |
| `ROLE-MEMBERSHIP-JOB-ID` | true     | `ROLE-MEMBERSHIP-JOB-ID` | string |

**Query parameters**

| Name        | Required | Example                | Schema  |
| ----------- | -------- | ---------------------- | ------- |
| `_action`   | false    | `view`                 | string  |
| `name`      | false    | `ROLE-MEMBERSHIP-NAME` | string  |
| `_pageSize` | false    | `10`                   | integer |

**Header parameters**

| Name                 | Required | Example                 | Schema |
| -------------------- | -------- | ----------------------- | ------ |
| `Content-Type`       | false    | `application/json`      | string |
| `Accept-API-Version` | false    | `resource=1.0`          | string |
| `Authorization`      | false    | `Bearer <access-token>` | string |

## Journey reports endpoints

### Run template - journey stats report

A POST request to `/reports/templates/JOURNEY-STATS-NAME` to run a journey stats report.

Curl example

```
curl --location --request POST 'https://<tenant-env-fqdn>/reports/templates/JOURNEY-STATS-NAME?_action=run' \
--header 'Content-Type: application/json' \
--header 'Accept-API-Version: resource=1.0' \
--header 'Authorization: Bearer <access-token>'
```

**Path parameters**

| Name                 | Required | Example              | Schema |
| -------------------- | -------- | -------------------- | ------ |
| `JOURNEY-STATS-NAME` | true     | `JOURNEY-STATS-NAME` | string |

**Query parameters**

| Name      | Required | Example | Schema |
| --------- | -------- | ------- | ------ |
| `_action` | false    | `run`   | string |

**Header parameters**

| Name                 | Required | Example                 | Schema |
| -------------------- | -------- | ----------------------- | ------ |
| `Content-Type`       | false    | `application/json`      | string |
| `Accept-API-Version` | false    | `resource=1.0`          | string |
| `Authorization`      | false    | `Bearer <access-token>` | string |

### View report result - journey stats report

A POST request to `/reports/runs/JOURNEY-STATS-JOB-ID` to view a journey stats report.

Curl example

```
curl --location --request POST 'https://<tenant-env-fqdn>/reports/runs/JOURNEY-STATS-JOB-ID?_action=view&name=JOURNEY-STATS-NAME&_pageSize=10' \
--header 'Content-Type: application/json' \
--header 'Accept-API-Version: resource=1.0' \
--header 'Authorization: Bearer <access-token>'
```

**Path parameters**

| Name                   | Required | Example                | Schema |
| ---------------------- | -------- | ---------------------- | ------ |
| `JOURNEY-STATS-JOB-ID` | true     | `JOURNEY-STATS-JOB-ID` | string |

**Query parameters**

| Name        | Required | Example              | Schema  |
| ----------- | -------- | -------------------- | ------- |
| `_action`   | false    | `view`               | string  |
| `name`      | false    | `JOURNEY-STATS-NAME` | string  |
| `_pageSize` | false    | `10`                 | integer |

**Header parameters**

| Name                 | Required | Example                 | Schema |
| -------------------- | -------- | ----------------------- | ------ |
| `Content-Type`       | false    | `application/json`      | string |
| `Accept-API-Version` | false    | `resource=1.0`          | string |
| `Authorization`      | false    | `Bearer <access-token>` | string |

### Run template - user journey stats report

A POST request to `/reports/templates/USER-JOURNEY-STATS-NAME` to run a user journey stats name report.

Curl example

```
curl --location --request POST 'https://<tenant-env-fqdn>/reports/templates/USER-JOURNEY-STATS-NAME?_action=run' \
--header 'X-TENANT-ID: 436392a8-3ef4-11ee-be56-0242ac120002' \
--header 'Content-Type: application/json' \
--header 'Accept-API-Version: resource=1.0' \
--header 'Authorization: Bearer <access-token>'
```

**Path parameters**

| Name                      | Required | Example                   | Schema |
| ------------------------- | -------- | ------------------------- | ------ |
| `USER-JOURNEY-STATS-NAME` | true     | `USER-JOURNEY-STATS-NAME` | string |

**Query parameters**

| Name      | Required | Example | Schema |
| --------- | -------- | ------- | ------ |
| `_action` | false    | `run`   | string |

**Header parameters**

| Name                 | Required | Example                 | Schema |
| -------------------- | -------- | ----------------------- | ------ |
| `Content-Type`       | false    | `application/json`      | string |
| `Accept-API-Version` | false    | `resource=1.0`          | string |
| `Authorization`      | false    | `Bearer <access-token>` | string |

### View report result - user journey stats report

A POST request to `/reports/runs/USER-JOURNEY-STATS-JOB-ID` to view a user journey stats report.

Curl example

```
curl --location --request POST 'https://<tenant-env-fqdn>/reports/runs/USER-JOURNEY-STATS-JOB-ID?_action=view&name=USER-JOURNEY-STATS-NAME&_pageSize=10' \
--header 'Content-Type: application/json' \
--header 'Accept-API-Version: resource=1.0' \
--header 'Authorization: Bearer <access-token>'
```

**Path parameters**

| Name                        | Required | Example                     | Schema |
| --------------------------- | -------- | --------------------------- | ------ |
| `USER-JOURNEY-STATS-JOB-ID` | true     | `USER-JOURNEY-STATS-JOB-ID` | string |

**Query parameters**

| Name        | Required | Example                   | Schema  |
| ----------- | -------- | ------------------------- | ------- |
| `_action`   | false    | `view`                    | string  |
| `name`      | false    | `USER-JOURNEY-STATS-NAME` | string  |
| `_pageSize` | false    | `10`                      | integer |

**Header parameters**

| Name                 | Required | Example                 | Schema |
| -------------------- | -------- | ----------------------- | ------ |
| `Content-Type`       | false    | `application/json`      | string |
| `Accept-API-Version` | false    | `resource=1.0`          | string |
| `Authorization`      | false    | `Bearer <access-token>` | string |

## End user insights reports endpoints

### Run template - user last login report

A POST request to `/reports/templates/USER-LAST-LOGIN-NAME` to run a user last login name report.

Curl example

```
curl --location --request POST 'https://<tenant-env-fqdn>/reports/templates/USER-LAST-LOGIN-NAME?_action=run' \
--header 'Content-Type: application/json' \
--header 'Accept-API-Version: resource=1.0' \
--header 'Authorization: Bearer <access-token>'
```

**Path parameters**

| Name                   | Required | Example                | Schema |
| ---------------------- | -------- | ---------------------- | ------ |
| `USER-LAST-LOGIN-NAME` | true     | `USER-LAST-LOGIN-NAME` | string |

**Query parameters**

| Name      | Required | Example | Schema |
| --------- | -------- | ------- | ------ |
| `_action` | false    | `run`   | string |

**Header parameters**

| Name                 | Required | Example                 | Schema |
| -------------------- | -------- | ----------------------- | ------ |
| `Content-Type`       | false    | `application/json`      | string |
| `Accept-API-Version` | false    | `resource=1.0`          | string |
| `Authorization`      | false    | `Bearer <access-token>` | string |

### View result - user last login report

A POST request to `/reports/runs/USER-LAST-LOGIN-JOB-ID` to view a user last login name report.

Curl example

```
curl --location --request POST 'https://<tenant-env-fqdn>/reports/runs/USER-LAST-LOGIN-JOB-ID?_action=view&name=USER-LAST-LOGIN-NAME&_pageSize=10' \
--header 'Content-Type: application/json' \
--header 'Accept-API-Version: resource=1.0' \
--header 'Authorization: Bearer <access-token>'
```

**Path parameters**

| Name                     | Required | Example                  | Schema |
| ------------------------ | -------- | ------------------------ | ------ |
| `USER-LAST-LOGIN-JOB-ID` | true     | `USER-LAST-LOGIN-JOB-ID` | string |

**Query parameters**

| Name        | Required | Example                | Schema  |
| ----------- | -------- | ---------------------- | ------- |
| `_action`   | false    | `view`                 | string  |
| `name`      | false    | `USER-LAST-LOGIN-NAME` | string  |
| `_pageSize` | false    | `10`                   | integer |

**Header parameters**

| Name                 | Required | Example                 | Schema |
| -------------------- | -------- | ----------------------- | ------ |
| `Content-Type`       | false    | `application/json`      | string |
| `Accept-API-Version` | false    | `resource=1.0`          | string |
| `Authorization`      | false    | `Bearer <access-token>` | string |

### Run template - user access details report

A POST request to `/reports/templates/USER-ACCESS-DETAILS-NAME` to run a user access details name report.

Curl example

```
curl --location --request POST 'https://<tenant-env-fqdn>/reports/templates/USER-ACCESS-DETAILS-NAME?_action=run' \
--header 'Content-Type: application/json' \
--header 'Accept-API-Version: resource=1.0' \
--header 'Authorization: Bearer <access-token>'
```

**Path parameters**

| Name                       | Required | Example                    | Schema |
| -------------------------- | -------- | -------------------------- | ------ |
| `USER-ACCESS-DETAILS-NAME` | true     | `USER-ACCESS-DETAILS-NAME` | string |

**Query parameters**

| Name      | Required | Example | Schema |
| --------- | -------- | ------- | ------ |
| `_action` | false    | `run`   | string |

**Header parameters**

| Name                 | Required | Example                 | Schema |
| -------------------- | -------- | ----------------------- | ------ |
| `Content-Type`       | false    | `application/json`      | string |
| `Accept-API-Version` | false    | `resource=1.0`          | string |
| `Authorization`      | false    | `Bearer <access-token>` | string |

### View results - user access details report

A POST request to `/reports/runs/USER-ACCESS-DETAILS-JOB-ID` to view user access details name report.

Curl example

```
curl --location --request POST 'https://<tenant-env-fqdn>/reports/runs/USER-ACCESS-DETAILS-JOB-ID?_action=view&name=USER-ACCESS-DETAILS-NAME&_pageSize=10' \
--header 'Content-Type: application/json' \
--header 'Accept-API-Version: resource=1.0' \
--header 'Authorization: Bearer <access-token>'
```

**Path parameters**

| Name                         | Required | Example                      | Schema |
| ---------------------------- | -------- | ---------------------------- | ------ |
| `USER-ACCESS-DETAILS-JOB-ID` | true     | `USER-ACCESS-DETAILS-JOB-ID` | string |

**Query parameters**

| Name        | Required | Example                    | Schema  |
| ----------- | -------- | -------------------------- | ------- |
| `_action`   | false    | `view`                     | string  |
| `name`      | false    | `USER-ACCESS-DETAILS-NAME` | string  |
| `_pageSize` | false    | `10`                       | integer |

**Header parameters**

| Name                 | Required | Example                 | Schema |
| -------------------- | -------- | ----------------------- | ------ |
| `Content-Type`       | false    | `application/json`      | string |
| `Accept-API-Version` | false    | `resource=1.0`          | string |
| `Authorization`      | false    | `Bearer <access-token>` | string |

### Run template - user count by status report

A POST request to `/reports/templates/USER-COUNT-BY-STATUS-NAME` to run a user count by status report.

Curl example

```
curl --location --request POST 'https://<tenant-env-fqdn>/reports/templates/USER-COUNT-BY-STATUS-NAME?_action=run' \
--header 'Content-Type: application/json' \
--header 'Accept-API-Version: resource=1.0' \
--header 'Authorization: Bearer <access-token>'
```

**Path parameters**

| Name                        | Required | Example                     | Schema |
| --------------------------- | -------- | --------------------------- | ------ |
| `USER-COUNT-BY-STATUS-NAME` | true     | `USER-COUNT-BY-STATUS-NAME` | string |

**Query parameters**

| Name      | Required | Example | Schema |
| --------- | -------- | ------- | ------ |
| `_action` | false    | `run`   | string |

**Header parameters**

| Name                 | Required | Example                 | Schema |
| -------------------- | -------- | ----------------------- | ------ |
| `Content-Type`       | false    | `application/json`      | string |
| `Accept-API-Version` | false    | `resource=1.0`          | string |
| `Authorization`      | false    | `Bearer <access-token>` | string |

### View results - user count by status report

A POST request to `/reports/runs/USER-COUNT-BY-STATUS-JOB-ID` to view user count by status report.

Curl example

```
curl --location --request POST 'https://<tenant-env-fqdn>/reports/runs/USER-COUNT-BY-STATUS-JOB-ID?_action=view&name=USER-COUNT-BY-STATUS-NAME&_pageSize=10' \
--header 'Content-Type: application/json' \
--header 'Accept-API-Version: resource=1.0' \
--header 'Authorization: Bearer <access-token>'
```

**Path parameters**

| Name                          | Required | Example                       | Schema |
| ----------------------------- | -------- | ----------------------------- | ------ |
| `USER-COUNT-BY-STATUS-JOB-ID` | true     | `USER-COUNT-BY-STATUS-JOB-ID` | string |

**Query parameters**

| Name        | Required | Example                     | Schema  |
| ----------- | -------- | --------------------------- | ------- |
| `_action`   | false    | `view`                      | string  |
| `name`      | false    | `USER-COUNT-BY-STATUS-NAME` | string  |
| `_pageSize` | false    | `10`                        | integer |

**Header parameters**

| Name                 | Required | Example                 | Schema |
| -------------------- | -------- | ----------------------- | ------ |
| `Content-Type`       | false    | `application/json`      | string |
| `Accept-API-Version` | false    | `resource=1.0`          | string |
| `Authorization`      | false    | `Bearer <access-token>` | string |

### Run template - user normal view report

A POST request to `/reports/templates/USER-NORMAL-VIEW-NAME` to run a user normal view report.

Curl example

```
curl --location --request POST 'https://<tenant-env-fqdn>/reports/templates/USER-NORMAL-VIEW-NAME?_action=run' \
--header 'Content-Type: application/json' \
--header 'Accept-API-Version: resource=1.0' \
--header 'Authorization: Bearer <access-token>'
```

**Path parameters**

| Name                    | Required | Example                 | Schema |
| ----------------------- | -------- | ----------------------- | ------ |
| `USER-NORMAL-VIEW-NAME` | true     | `USER-NORMAL-VIEW-NAME` | string |

**Query parameters**

| Name      | Required | Example | Schema |
| --------- | -------- | ------- | ------ |
| `_action` | false    | `run`   | string |

**Header parameters**

| Name                 | Required | Example                 | Schema |
| -------------------- | -------- | ----------------------- | ------ |
| `Content-Type`       | false    | `application/json`      | string |
| `Accept-API-Version` | false    | `resource=1.0`          | string |
| `Authorization`      | false    | `Bearer <access-token>` | string |

### View report - user normal view report

A POST request to `/reports/runs/USER-NORMAL-VIEW-JOB-ID` to view a user normal view report.

Curl example

```
curl --location --request POST 'https://<tenant-env-fqdn>/reports/runs/USER-NORMAL-VIEW-JOB-ID?_action=view&name=USER-NORMAL-VIEW-NAME&_pageSize=10' \
--header 'Content-Type: application/json' \
--header 'Accept-API-Version: resource=1.0' \
--header 'Authorization: Bearer <access-token>'
```

**Path parameters**

| Name                      | Required | Example                   | Schema |
| ------------------------- | -------- | ------------------------- | ------ |
| `USER-NORMAL-VIEW-JOB-ID` | true     | `USER-NORMAL-VIEW-JOB-ID` | string |

**Query parameters**

| Name        | Required | Example                 | Schema  |
| ----------- | -------- | ----------------------- | ------- |
| `_action`   | false    | `view`                  | string  |
| `name`      | false    | `USER-NORMAL-VIEW-NAME` | string  |
| `_pageSize` | false    | `10`                    | integer |

**Header parameters**

| Name                 | Required | Example                 | Schema |
| -------------------- | -------- | ----------------------- | ------ |
| `Content-Type`       | false    | `application/json`      | string |
| `Accept-API-Version` | false    | `resource=1.0`          | string |
| `Authorization`      | false    | `Bearer <access-token>` | string |

## Governance**\[[1](#_footnotedef_1 "View footnote.")]** reports endpoints

### Run template - certification details report

A POST request to `/reports/templates/certification-details` to run a certification details report.

Curl example

```
curl --location --request POST 'https://<tenant-env-fqdn>/reports/templates/certification-details?_action=run' \
--header 'Content-Type: application/json' \
--header 'Accept-API-Version: resource=1.0' \
--header 'Authorization: Bearer <access-token>'
```

**Query parameters**

| Name      | Required | Example | Schema |
| --------- | -------- | ------- | ------ |
| `_action` | false    | `run`   | string |

**Header parameters**

| Name                 | Required | Example                 | Schema |
| -------------------- | -------- | ----------------------- | ------ |
| `Content-Type`       | false    | `application/json`      | string |
| `Accept-API-Version` | false    | `resource=1.0`          | string |
| `Authorization`      | false    | `Bearer <access-token>` | string |

### View result - certification details report

A POST request to `/reports/runs/CERTIFICATION-DETAILS-JOB-ID` to view a certification details report.

Curl example

```
curl --location --request POST 'https://<tenant-env-fqdn>/reports/runs/CERTIFICATION-DETAILS-JOB-ID?_action=view&name=CERTIFICATION-DETAILS-NAME&_pageSize=10' \
--header 'Content-Type: application/json' \
--header 'Accept-API-Version: resource=1.0' \
--header 'Authorization: Bearer <access-token>'
```

**Path parameters**

| Name                           | Required | Example                        | Schema |
| ------------------------------ | -------- | ------------------------------ | ------ |
| `CERTIFICATION-DETAILS-JOB-ID` | true     | `CERTIFICATION-DETAILS-JOB-ID` | string |

**Query parameters**

| Name        | Required | Example                      | Schema  |
| ----------- | -------- | ---------------------------- | ------- |
| `_action`   | false    | `view`                       | string  |
| `name`      | false    | `CERTIFICATION-DETAILS-NAME` | string  |
| `_pageSize` | false    | `10`                         | integer |

**Header parameters**

| Name                 | Required | Example                 | Schema |
| -------------------- | -------- | ----------------------- | ------ |
| `Content-Type`       | false    | `application/json`      | string |
| `Accept-API-Version` | false    | `resource=1.0`          | string |
| `Authorization`      | false    | `Bearer <access-token>` | string |

### Run template - campaign decision report

A POST request to `/reports/templates/CAMPAIGN-DECISION-NAME` to run a campaign decision name report.

Curl example

```
curl --location --request POST 'https://<tenant-env-fqdn>/reports/templates/CAMPAIGN-DECISION-NAME?_action=run' \
--header 'Content-Type: application/json' \
--header 'Accept-API-Version: resource=1.0' \
--header 'Authorization: Bearer <access-token>'
```

**Path parameters**

| Name                     | Required | Example                  | Schema |
| ------------------------ | -------- | ------------------------ | ------ |
| `CAMPAIGN-DECISION-NAME` | true     | `CAMPAIGN-DECISION-NAME` | string |

**Query parameters**

| Name      | Required | Example | Schema |
| --------- | -------- | ------- | ------ |
| `_action` | false    | `run`   | string |

**Header parameters**

| Name                 | Required | Example                 | Schema |
| -------------------- | -------- | ----------------------- | ------ |
| `Content-Type`       | false    | `application/json`      | string |
| `Accept-API-Version` | false    | `resource=1.0`          | string |
| `Authorization`      | false    | `Bearer <access-token>` | string |

### View result - campaign decision report

A POST request to `/reports/runs/CAMPAIGN-DECISION-JOB-ID` to view a campaign decision report.

Curl example

```
curl --location --request POST 'https://<tenant-env-fqdn>/reports/runs/CAMPAIGN-DECISION-JOB-ID?_action=view&name=CAMPAIGN-DECISION-NAME&_pageSize=10' \
--header 'Content-Type: application/json' \
--header 'Accept-API-Version: resource=1.0' \
--header 'Authorization: Bearer <access-token>'
```

**Path parameters**

| Name                       | Required | Example                    | Schema |
| -------------------------- | -------- | -------------------------- | ------ |
| `CAMPAIGN-DECISION-JOB-ID` | true     | `CAMPAIGN-DECISION-JOB-ID` | string |

**Query parameters**

| Name        | Required | Example                  | Schema  |
| ----------- | -------- | ------------------------ | ------- |
| `_action`   | false    | `view`                   | string  |
| `name`      | false    | `CAMPAIGN-DECISION-NAME` | string  |
| `_pageSize` | false    | `10`                     | integer |

**Header parameters**

| Name                 | Required | Example                 | Schema |
| -------------------- | -------- | ----------------------- | ------ |
| `Content-Type`       | false    | `application/json`      | string |
| `Accept-API-Version` | false    | `resource=1.0`          | string |
| `Authorization`      | false    | `Bearer <access-token>` | string |

***

[1](#_footnoteref_1). Identity Governance is an add-on capability to Advanced Identity Cloud. Contact your Ping Identity representative if you want to add PingOne® Identity Governance to your Advanced Identity Cloud subscription.
